Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SetParameterOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SetParameter`, `ClientWireProtocol.SetParameter.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.SetParameterOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SetParameter.Concurrency`
`getConcurrency()`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.ConcurrencyOrBuilder`
`getConcurrencyOrBuilder()`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.ForceExternal`
`getForceExternal()`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ForceExternalOrBuilder`
`getForceExternalOrBuilder()`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.MemoryTracing`
`getMemoryTracing()`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`ClientWireProtocol.SetParameter.MemoryTracingOrBuilder`
`getMemoryTracingOrBuilder()`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`ClientWireProtocol.SetParameter.ParameterCase`
`getParameterCase()`
`ClientWireProtocol.SetParameter.Priority`
`getPriority()`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.PriorityAdjustFactor`
`getPriorityAdjustFactor()`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.PriorityAdjustFactorOrBuilder`
`getPriorityAdjustFactorOrBuilder()`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.PriorityAdjustTime`
`getPriorityAdjustTime()`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.PriorityAdjustTimeOrBuilder`
`getPriorityAdjustTimeOrBuilder()`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.PriorityOrBuilder`
`getPriorityOrBuilder()`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`boolean`
`getReset()`
whether we should reset back to the default, overrides whatever threshold is
`ClientWireProtocol.SetParameter.ResultSetColumnLimit`
`getResultSetColumnLimit()`
8 reserved above
`ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder`
`getResultSetColumnLimitOrBuilder()`
8 reserved above
`ClientWireProtocol.SetParameter.RowLimit`
`getRowLimit()`
2 reserved above
`ClientWireProtocol.SetParameter.RowLimitOrBuilder`
`getRowLimitOrBuilder()`
2 reserved above
`ClientWireProtocol.SetParameter.ServiceClassName`
`getServiceClassName()`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`ClientWireProtocol.SetParameter.ServiceClassNameOrBuilder`
`getServiceClassNameOrBuilder()`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`getTempDiskLimit()`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder`
`getTempDiskLimitOrBuilder()`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.TimeLimit`
`getTimeLimit()`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.TimeLimitOrBuilder`
`getTimeLimitOrBuilder()`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`boolean`
`hasConcurrency()`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`boolean`
`hasForceExternal()`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`boolean`
`hasMemoryTracing()`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`boolean`
`hasPriority()`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`boolean`
`hasPriorityAdjustFactor()`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`boolean`
`hasPriorityAdjustTime()`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`boolean`
`hasResultSetColumnLimit()`
8 reserved above
`boolean`
`hasRowLimit()`
2 reserved above
`boolean`
`hasServiceClassName()`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`boolean`
`hasTempDiskLimit()`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`boolean`
`hasTimeLimit()`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getReset

boolean getReset()

     whether we should reset back to the default, overrides whatever threshold is

`bool reset = 1;`

Returns:
  The reset.

### hasRowLimit

boolean hasRowLimit()

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Returns:
  Whether the rowLimit field is set.

### getRowLimit

ClientWireProtocol.SetParameter.RowLimit getRowLimit()

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Returns:
  The rowLimit.

### getRowLimitOrBuilder

ClientWireProtocol.SetParameter.RowLimitOrBuilder getRowLimitOrBuilder()

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### hasTimeLimit

boolean hasTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Returns:
  Whether the timeLimit field is set.

### getTimeLimit

ClientWireProtocol.SetParameter.TimeLimit getTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Returns:
  The timeLimit.

### getTimeLimitOrBuilder

ClientWireProtocol.SetParameter.TimeLimitOrBuilder getTimeLimitOrBuilder()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### hasTempDiskLimit

boolean hasTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Returns:
  Whether the tempDiskLimit field is set.

### getTempDiskLimit

ClientWireProtocol.SetParameter.MaxTempDiskLimit getTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Returns:
  The tempDiskLimit.

### getTempDiskLimitOrBuilder

ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder getTempDiskLimitOrBuilder()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### hasPriority

boolean hasPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Returns:
  Whether the priority field is set.

### getPriority

ClientWireProtocol.SetParameter.Priority getPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Returns:
  The priority.

### getPriorityOrBuilder

ClientWireProtocol.SetParameter.PriorityOrBuilder getPriorityOrBuilder()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### hasConcurrency

boolean hasConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Returns:
  Whether the concurrency field is set.

### getConcurrency

ClientWireProtocol.SetParameter.Concurrency getConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Returns:
  The concurrency.

### getConcurrencyOrBuilder

ClientWireProtocol.SetParameter.ConcurrencyOrBuilder getConcurrencyOrBuilder()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### hasResultSetColumnLimit

boolean hasResultSetColumnLimit()

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Returns:
  Whether the resultSetColumnLimit field is set.

### getResultSetColumnLimit

ClientWireProtocol.SetParameter.ResultSetColumnLimit getResultSetColumnLimit()

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Returns:
  The resultSetColumnLimit.

### getResultSetColumnLimitOrBuilder

ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder getResultSetColumnLimitOrBuilder()

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### hasForceExternal

boolean hasForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Returns:
  Whether the forceExternal field is set.

### getForceExternal

ClientWireProtocol.SetParameter.ForceExternal getForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Returns:
  The forceExternal.

### getForceExternalOrBuilder

ClientWireProtocol.SetParameter.ForceExternalOrBuilder getForceExternalOrBuilder()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### hasPriorityAdjustFactor

boolean hasPriorityAdjustFactor()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

Returns:
  Whether the priorityAdjustFactor field is set.

### getPriorityAdjustFactor

ClientWireProtocol.SetParameter.PriorityAdjustFactor getPriorityAdjustFactor()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

Returns:
  The priorityAdjustFactor.

### getPriorityAdjustFactorOrBuilder

ClientWireProtocol.SetParameter.PriorityAdjustFactorOrBuilder getPriorityAdjustFactorOrBuilder()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

### hasPriorityAdjustTime

boolean hasPriorityAdjustTime()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

Returns:
  Whether the priorityAdjustTime field is set.

### getPriorityAdjustTime

ClientWireProtocol.SetParameter.PriorityAdjustTime getPriorityAdjustTime()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

Returns:
  The priorityAdjustTime.

### getPriorityAdjustTimeOrBuilder

ClientWireProtocol.SetParameter.PriorityAdjustTimeOrBuilder getPriorityAdjustTimeOrBuilder()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

### hasServiceClassName

boolean hasServiceClassName()
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

Returns:
  Whether the serviceClassName field is set.

### getServiceClassName

ClientWireProtocol.SetParameter.ServiceClassName getServiceClassName()
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

Returns:
  The serviceClassName.

### getServiceClassNameOrBuilder

ClientWireProtocol.SetParameter.ServiceClassNameOrBuilder getServiceClassNameOrBuilder()
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

### hasMemoryTracing

boolean hasMemoryTracing()
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

Returns:
  Whether the memoryTracing field is set.

### getMemoryTracing

ClientWireProtocol.SetParameter.MemoryTracing getMemoryTracing()
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

Returns:
  The memoryTracing.

### getMemoryTracingOrBuilder

ClientWireProtocol.SetParameter.MemoryTracingOrBuilder getMemoryTracingOrBuilder()
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

### getParameterCase

ClientWireProtocol.SetParameter.ParameterCase getParameterCase()